# PropertyResourceBundle Class Reference

Inherits ResourceBundle.

List of all members.

## Detailed Description

PropertyResourceBundle is a concrete subclass of ResourceBundle that manages resources for a locale using a set of static strings from a property file.

## Public Member Functions

| PropertyResourceBundle (InputStreamPtr inStream)
| Creates a property resource bundle.
virtual LogString | getString (const LogString &key) const
| Gets a string for the given key from this resource bundle or one of its parents.

## Protected Attributes

Properties | properties

## Constructor & Destructor Documentation

PropertyResourceBundle | ( | InputStreamPtr | inStream | ) |

Creates a property resource bundle.

Parameters:

  | inStream | property file to read from.

Exceptions:

  | IOException | if an error occurred when reading from the input stream.

## Member Function Documentation

virtual LogString getString | ( | const LogString & | key | ) | const`[virtual]`

Gets a string for the given key from this resource bundle or one of its parents.

Calling this method is equivalent to calling

Parameters:

  | key | the key for the desired string

Returns:
  the string for the given key

Exceptions:

  | MissingResourceException | - if no object for the given key can be found

Implements ResourceBundle.

## Member Data Documentation

Properties properties `[protected]`

The documentation for this class was generated from the following file:

- propertyresourcebundle.h